Bug 1282142 - StaticText widget size grows on each SetLable()
StaticText widget size grows on each SetLable()
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: wxGTK3 (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Scott Talbert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-14 22:23 EST by zachw
Modified: 2016-02-29 00:24 EST (History)
2 users (show)

See Also:
Fixed In Version: wxGTK3-3.0.2-17.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-29 00:24:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Example cpp program showing the label size increasing (1.60 KB, text/plain)
2015-11-14 22:23 EST, zachw
no flags Details
Remove the size.x++ in wxStaticText::DoGetBestSize() (484 bytes, patch)
2015-11-14 22:25 EST, zachw
no flags Details | Diff

  None (edit)
Description zachw 2015-11-14 22:23:04 EST
Created attachment 1094308 [details]
Example cpp program showing the label size increasing

Description of problem:

Seen running wxPython program MAVProxy, original report is here
https://github.com/Dronecode/MAVProxy/issues/224

Example C++ program attached. On each OnTimer() the labels get a little bit wider.

Looking around with gdb and wxWidgets source, there is a dodgy increment in wxStaticText::DoGetBestSize() (stattext.cpp line 257). Removing the increment and rebuilding seems to fix the problem.

Version-Release number of selected component (if applicable):
wxGTK3-3.0.2-11.fc23.x86_64

How reproducible:
Run attached wxWidgets example program.

Steps to Reproduce:
1. g++ $(wx-config-3.0 --cxxflags --libs) label-size.cpp
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 zachw 2015-11-14 22:25 EST
Created attachment 1094309 [details]
Remove the size.x++ in wxStaticText::DoGetBestSize()
Comment 2 Scott Talbert 2016-02-22 22:25:32 EST
Reported upstream: http://trac.wxwidgets.org/ticket/17390
Comment 3 Fedora Update System 2016-02-24 23:03:23 EST
wxGTK3-3.0.2-17.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8b75629956
Comment 4 Fedora Update System 2016-02-26 15:53:58 EST
wxGTK3-3.0.2-17.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8b75629956
Comment 5 Fedora Update System 2016-02-29 00:24:12 EST
wxGTK3-3.0.2-17.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.